# pydicom.filereader.read_partial

`pydicom.filereader.``read_partial`(fileobj, stop_when=None, defer_size=None, force=False, specific_tags=None)

  Parse a DICOM file until a condition is met.

  Parameters:

  - fileobj (a file-like object) – Note that the file will not close when the function returns.
  - stop_when – Stop condition. See `read_dataset()` for more info.
  - defer_size (int, str, None, optional) – See `dcmread()` for parameter info.
  - force (bool) – See `dcmread()` for parameter info.
  - specific_tags (list or None) – See `dcmread()` for parameter info.

  Notes

  Use `dcmread()` unless you need to stop on some condition other than reaching pixel data.

  Returns: | The read dataset.
  Return type: | dataset.FileDataset or dicomdir.DicomDir

  See also

  `dcmread()`
    More generic file reading function.